import { Component, OnInit, Input, EventEmitter, Output } from '@angular/core';
import { IImageUploadFieldParams } from 'src/app/models/image-upload.model';

@Component({
  selector: 'app-image-upload',
  templateUrl: './image-upload.component.html',
  styleUrls: ['./image-upload.component.scss']
})
export class ImageUploadComponent implements OnInit {

  removeImageBtnClicked: boolean = false;

  @Input() fieldParams: IImageUploadFieldParams;
  @Output() fileChanged = new EventEmitter<FileList>();
  @Output() imageRemoved = new EventEmitter<boolean>();

  constructor() { }

  ngOnInit() {
  }

  setFile(event) {
    const files = event.srcElement.files;
    if (!files) {
      return;
    }

    this.fileChanged.emit(files);
  }

  removeImage() {
    this.removeImageBtnClicked = true;
    this.imageRemoved.emit(true);
  }
}
