import { Component, OnInit, Input } from '@angular/core';
import { DataLogsService } from 'src/app/services/data-logs.service';
import { ActivatedRoute, ParamMap } from '@angular/router';
import { switchMap } from 'rxjs/operators';
import { ILogs } from 'src/app/models/logs.model';
import { FormsModule } from '@angular/forms';
@Component({
  selector: 'app-logs-slugs',
  templateUrl: './logs-slugs.component.html',
  styleUrls: ['./logs-slugs.component.scss'],
})
export class LogsSlugsComponent implements OnInit {
  urlCode: string = 'slugUrl';
  allSlugsInfoList:any = [];
  allSessionsIdInfo:any = [];
  childSessionsList: any;
  childNbSlugs: number = 0;

  constructor(
    private dataLogsService: DataLogsService,
  ) { }

  ngOnInit() {
    this.allSlugsInfoList = [];
    this.getAllInfoForAllSlugs();
  }

  getAllInfoForAllSlugs() {
    this.dataLogsService.getAllInfoForAllSlugs().subscribe((result) => {
      this.allSlugsInfoList = result;
      this.childNbSlugs = result.length;
      console.log('allSlugsInfoList: ', this.allSlugsInfoList);
      this.computeDateDuration();
    },
    );

  }
  computeDateDuration() {
    for (let i = 0; i < this.childNbSlugs; i += 1) {
      for (let j = 0; j < this.allSlugsInfoList[i].data.length; j += 1) {
        const date1 = new Date(this.allSlugsInfoList[i].data[j].completionDate.$date);
        const date2 = new Date(this.allSlugsInfoList[i].data[j].startDate.$date);
        this.allSlugsInfoList[i].data[j].duration =
        Math.round((this.allSlugsInfoList[i].data[j].completionDate.$date - this.allSlugsInfoList[i].data[j].startDate.$date) / 60000);
        this.allSlugsInfoList[i].data[j].completionDate.$date = new Date(this.allSlugsInfoList[i].data[j].completionDate.$date);
      }
    }
  }
  seeDashboard() {}
}
